package com.ss.android.ugc.aweme.ad.feed.shakeEgg;

import X.1hK;
import X.C3419LKo;
import X.FMA;
import android.content.Context;
import com.bytedance.covode.number.Covode;
import com.ss.android.ugc.aweme.feed.model.Aweme;
import com.ss.android.ugc.aweme.feed.model.AwemeRawAd;
import java.util.List;

public interface IShakeEggService {
    static {
        Covode.recordClassIndex(52717);
    }

    FMA LIZ(1hK r1);

    C3419LKo LIZ(Aweme aweme);

    String LIZ(C3419LKo lKo, Context context);

    void LIZ(AwemeRawAd awemeRawAd, List<String> list);

    boolean LIZIZ(Aweme aweme);
}
